> For the complete documentation index, see [llms.txt](https://docs.rierino.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rierino.com/installation/artifacts/helm-charts/initialization-charts/deployer.md).

# Deployer

This chart deploys and executes a job that runs a specific ansible playbook and terminates.

### Containers

#### Main Container

Main container of this chart is an ansible based process, which executes actual job once and terminates.

### Configuration

#### Local Configuration

Chart contains:

* 1 x config map containing build/execution files mounted on /app/config
* 1 x environment config map that includes cloud related variables

#### Global Configuration

Chart containers also have access to:

* global-config: Mounted on /app/globalconfig including key-value pairs and extra lines to include in application.properties files
* global-config-env: A config map that can be used to add environment variables for all namespace deployments
* global-secrets: Mounted on /app/globalsecrets including key-secret pairs and extra lines to include in application.properties files
* global-secrets-env: A secret that can be used to add environment variables for all namespace deployments

### Configuration

The following table lists the configurable parameters of the Deployer chart and their default values.

| Parameter        | Description                                        | Default         |
| ---------------- | -------------------------------------------------- | --------------- |
| `namespace`      | namespace to deploy on                             | `"deployment"`  |
| `ttl`            | time to live after job completion                  | `300`           |
| `cloud`          | cloud vendor to use for deployment (e.g. gcp, aws) | `"gcp"`         |
| `serviceAccount` | pre-created service account with cluster rights    | `"deployer-sa"` |
| `useIam`         | whether job should use iam for authentication      | `"false"`       |
| `values.dummy`   |                                                    | `null`          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rierino.com/installation/artifacts/helm-charts/initialization-charts/deployer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
